package com.zehong.system.domain;
import com.zehong.common.core.domain.BaseEntity;

public class PipeDate extends BaseEntity {

    private String pipeId;

    private String pipeya;

    private String pipeDiameter;

    private String pipeMaterial;

    private String pipeDepth;

    private String pipeTrend;

    private String buildyear;

    private String buildCompany;

    private String powerCompany;

    private String type;

    private String pipeAddr;

    private String path;

    private String pipeLength;

    private String pipeType;

    private int pipePressure;

    private String iconUrl;

    private String installationTime;

    private String inspectionTime;

    private String companyType;

    private int iconType;

    private String enterId;

    /**
     * 管道名称
     */
    private String pipeName;

    /**
     * 详细地址
     */
    private String detaildAddress;

    /**
     * 行业主管部门
     */
    private String indRegAuth;

    /**
     * 行业主管部门负责人
     */
    private String indRegAuthPer;

    /**
     * 属地负责人电话
     */
    private String indRegAuthPerCon;

    /**
     * 重点部位燃气具使用情况
     */
    private String keyAreasGasUsage;

    /**
     * 所属燃气公司
     */
    private String affGasCom;

    /**
     * 所属燃气公司安检人员
     */
    private String affGasComSecPer;

    /**
     * 燃气公司安检人员电话
     */
    private String affGasComSecPerCon;

    /**
     * 安检时间
     */
    private String secCheckTime;

    /**
     * 单位燃气用户负责人
     */
    private String unitGasUserRes;

    /**
     * 单位燃气用户负责人电话
     */
    private String unitGasUserResCon;


    public String getPipeId() {
        return pipeId;
    }

    public void setPipeId(String pipeId) {
        this.pipeId = pipeId;
    }

    public int getIconType() {
        return iconType;
    }

    public void setIconType(int iconType) {
        this.iconType = iconType;
    }

    public String getCompanyType() {
        return companyType;
    }

    public void setCompanyType(String companyType) {
        this.companyType = companyType;
    }

    public String getPipeya() {
        return pipeya;
    }

    public void setPipeya(String pipeya) {
        this.pipeya = pipeya;
    }

    public String getPipeDiameter() {
        return pipeDiameter;
    }

    public void setPipeDiameter(String pipeDiameter) {
        this.pipeDiameter = pipeDiameter;
    }

    public String getPipeMaterial() {
        return pipeMaterial;
    }

    public void setPipeMaterial(String pipeMaterial) {
        this.pipeMaterial = pipeMaterial;
    }

    public String getPipeDepth() {
        return pipeDepth;
    }

    public void setPipeDepth(String pipeDepth) {
        this.pipeDepth = pipeDepth;
    }

    public String getPipeTrend() {
        return pipeTrend;
    }

    public void setPipeTrend(String pipeTrend) {
        this.pipeTrend = pipeTrend;
    }

    public String getBuildyear() {
        return buildyear;
    }

    public void setBuildyear(String buildyear) {
        this.buildyear = buildyear;
    }

    public String getBuildCompany() {
        return buildCompany;
    }

    public void setBuildCompany(String buildCompany) {
        this.buildCompany = buildCompany;
    }

    public String getPowerCompany() {
        return powerCompany;
    }

    public void setPowerCompany(String powerCompany) {
        this.powerCompany = powerCompany;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPipeAddr() {
        return pipeAddr;
    }

    public void setPipeAddr(String pipeAddr) {
        this.pipeAddr = pipeAddr;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getPipeLength() {
        return pipeLength;
    }

    public void setPipeLength(String pipeLength) {
        this.pipeLength = pipeLength;
    }

    public String getPipeType() {
        return pipeType;
    }

    public void setPipeType(String pipeType) {
        this.pipeType = pipeType;
    }

    public int getPipePressure() {
        return pipePressure;
    }

    public void setPipePressure(int pipePressure) {
        this.pipePressure = pipePressure;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    public String getInstallationTime() {
        return installationTime;
    }

    public void setInstallationTime(String installationTime) {
        this.installationTime = installationTime;
    }

    public String getInspectionTime() {
        return inspectionTime;
    }

    public void setInspectionTime(String inspectionTime) {
        this.inspectionTime = inspectionTime;
    }

    public String getPipeName() {
        return pipeName;
    }

    public void setPipeName(String pipeName) {
        this.pipeName = pipeName;
    }

    public String getDetaildAddress() {
        return detaildAddress;
    }

    public void setDetaildAddress(String detaildAddress) {
        this.detaildAddress = detaildAddress;
    }

    public String getIndRegAuth() {
        return indRegAuth;
    }

    public void setIndRegAuth(String indRegAuth) {
        this.indRegAuth = indRegAuth;
    }

    public String getIndRegAuthPer() {
        return indRegAuthPer;
    }

    public void setIndRegAuthPer(String indRegAuthPer) {
        this.indRegAuthPer = indRegAuthPer;
    }

    public String getIndRegAuthPerCon() {
        return indRegAuthPerCon;
    }

    public void setIndRegAuthPerCon(String indRegAuthPerCon) {
        this.indRegAuthPerCon = indRegAuthPerCon;
    }

    public String getKeyAreasGasUsage() {
        return keyAreasGasUsage;
    }

    public void setKeyAreasGasUsage(String keyAreasGasUsage) {
        this.keyAreasGasUsage = keyAreasGasUsage;
    }

    public String getAffGasCom() {
        return affGasCom;
    }

    public void setAffGasCom(String affGasCom) {
        this.affGasCom = affGasCom;
    }

    public String getAffGasComSecPer() {
        return affGasComSecPer;
    }

    public void setAffGasComSecPer(String affGasComSecPer) {
        this.affGasComSecPer = affGasComSecPer;
    }

    public String getAffGasComSecPerCon() {
        return affGasComSecPerCon;
    }

    public void setAffGasComSecPerCon(String affGasComSecPerCon) {
        this.affGasComSecPerCon = affGasComSecPerCon;
    }

    public String getSecCheckTime() {
        return secCheckTime;
    }

    public void setSecCheckTime(String secCheckTime) {
        this.secCheckTime = secCheckTime;
    }

    public String getUnitGasUserRes() {
        return unitGasUserRes;
    }

    public void setUnitGasUserRes(String unitGasUserRes) {
        this.unitGasUserRes = unitGasUserRes;
    }

    public String getUnitGasUserResCon() {
        return unitGasUserResCon;
    }

    public void setUnitGasUserResCon(String unitGasUserResCon) {
        this.unitGasUserResCon = unitGasUserResCon;
    }

    public String getEnterId() {
        return enterId;
    }

    public void setEnterId(String enterId) {
        this.enterId = enterId;
    }

    @Override
    public String toString() {
        return "PipeDate{" +
                "pipeId='" + pipeId + '\'' +
                ", pipeya='" + pipeya + '\'' +
                ", pipeDiameter='" + pipeDiameter + '\'' +
                ", pipeMaterial='" + pipeMaterial + '\'' +
                ", pipeDepth='" + pipeDepth + '\'' +
                ", pipeTrend='" + pipeTrend + '\'' +
                ", buildyear='" + buildyear + '\'' +
                ", buildCompany='" + buildCompany + '\'' +
                ", powerCompany='" + powerCompany + '\'' +
                ", type='" + type + '\'' +
                ", pipeAddr='" + pipeAddr + '\'' +
                ", path='" + path + '\'' +
                ", pipeLength='" + pipeLength + '\'' +
                ", pipeType='" + pipeType + '\'' +
                ", pipePressure=" + pipePressure +
                ", iconUrl='" + iconUrl + '\'' +
                ", installationTime='" + installationTime + '\'' +
                ", inspectionTime='" + inspectionTime + '\'' +
                ", companyType=" + companyType +
                ", iconType=" + iconType +
                '}';
    }
}
